// Hyperboloide

var U_r1=100, U_r2=100, U_ecart=0, U_h=150;
var U_n = 36;

function definirFigure(){
  var r1=U_r1, r2=U_r2, e=U_ecart, h = U_h;
  var n = U_n;
  // Définition des sommets
  pixelsParUnite(3);
  for(var i = 0; i <= n; i++){
    definirSommet(2*i+1, r1*cos(i*2*PI/n), r1*sin(i*2*PI/n), 0);
    definirSommet(2*i+2, r2*cos(i*2*PI/n + e*PI), r2*sin(i*2*PI/n + e*PI), h);
  }
  // Définition des faces
  for(var i = 1; i <= 2*n; i++){
    if(i%2 == 0){
      definirFace(i, i, i+1, i+2);
      couleurFace(i, 255, 0, 0);
    }else{
      definirFace(i, i, i+1, i+2);
      couleurFace(i, 0, 255, 0);
    }
  }
  // ajusterGlissieres si nécessaire
  creerGlissiereG1(0, 1.01, 0, 0.1, "Pente de génératrice");
  //ajusterGlissiereG2(2, 8, 5);
  //ajusterGlissiereG3(2, 8, 5);
}

function initialiserFigure(){
  fixeRotationY(-50);
  fixeRotationX(-30);
  fixeTranslationX(50);
}

function redefinirCertainsSommets(){
  var n = U_n;
  var r2 = U_r2, h =U_h;
  for(var i = 0; i <= n ; i++){
    redefinirSommet(2*i+2, r2*cos(i*2*PI/n + valG1*PI), r2*sin(i*2*PI/n + valG1*PI), h);
  }
}
