// Polya3D (Intersection de 5 plans)

function definirFigure(){
  // Définition des sommets
  pixelsParUnite(250);
  definirSommet(1, 1, 1, 1);
  definirSommet(2, 1, -1, -1);
  definirSommet(3, -1, 1, -1);
  definirSommet(4, -1, -1, 1);
  
  definirSommet(5, 0, 0, 1);
  definirSommet(6, 0, -1, 0);
  definirSommet(7, -1, 0, 0);
  // Définition des faces
  definirFace(1, 1, 2, 3);
  couleurFace(1, 255, 0, 0);
  definirFace(2, 2, 3, 4);;
  couleurFace(2, 0, 255, 0);
  definirFace(3, 3, 4, 1);;
  couleurFace(3, 0, 0, 255);
  definirFace(4, 4, 1, 2);;
  couleurFace(4, 255, 255, 0);
  definirFace(5, 5, 6, 7);
  couleurFace(5, 255, 0, 255);
  
  // ajusterGlissiere si nécessaire
  creerGlissiereG1(-1, 2, 0.5, 0.2, "G1");
  creerGlissiereG2(-1, 2, 0.5, 0.2,"G2");
  creerGlissiereG3(-1, 2, 0.5, 0.2, "G3");
}

function initialiserFigure(){
  //fixeRotationY(120);
  //fixeRotationX(-30);
  for(var i=1; i<6; i++){
    fixeEchelle(i, 1.3);
  }
}

function redefinirCertainsSommets(){
  redefinirSommet(5, 1-2*valG1, 1-2*valG1, 1);
  redefinirSommet(6, 1-2*valG2, -1, 2*valG2 - 1);
  redefinirSommet(7, -1, 1-2*valG3, 2*valG3 - 1);
}
