// Tore

var U_n = 18;
var U_m = 36;
var U_R = 2, U_r = 0.8; 

function definirFigure(){
  // Définition des sommets
  pixelsParUnite(120);
  for(var j = 0; j <= U_m; j++){
    for(var i = 0; i < U_n; i++){
      definirSommet(j*U_n + i+1, (U_R + U_r*cos(i*2*PI/U_n))*cos(j*2*PI/U_m),  U_r*sin(i*2*PI/U_n), (U_R + U_r*cos(i*2*PI/U_n))*sin(j*2*PI/U_m));
    }
  }
  
for(var j = 0; j < U_m; j++){
  for(var i = 0; i < U_n; i++){
    var k = j*U_n + i+1;
    if(i < U_n -1){
      if((i+j)%2 == 0){
        definirFace(k, j*U_n+i+1, (j+1)*U_n+i+1, (j+1)*U_n+i+2, j*U_n+i+2);
        couleurFace(k, 255, 0, 0);
      }else{
        definirFace(k, j*U_n+i+1, (j+1)*U_n+i+1, (j+1)*U_n+i+2, j*U_n+i+2);
        couleurFace(k, 0, 255, 0);
      }
    }else{
      if((i+j)%2 == 0){
        definirFace(k, j*U_n+i+1, (j+1)*U_n+i+1, (j+1)*U_n+1, j*U_n+1);
        couleurFace(k, 255, 0, 0);
      }else{
        definirFace(k, j*U_n+i+1, (j+1)*U_n+i+1, (j+1)*U_n+1, j*U_n+1);
        couleurFace(k, 0, 255, 0);
      } 
    }
  }
}  
  
  // ajuster glissieres si nécessaire
  creerGlissiereG1(0, 1 , 0, 0.1, "Ouverture du tore");
  //ajusterGlissiereG2(2, 8, 5);
  //ajusterGlissiereG3(2, 8, 5);
}

function initialiserFigure(){
  fixeRotationX(150);
}

function redefinirCertainsSommets(){
  for(var k = 0; k <= U_m; k++){
    var j = k*(1 - valG1);
    for(var i = 0; i < U_n; i++){
      redefinirSommet(k*U_n + i+1, (U_R + U_r*cos(i*2*PI/U_n))*cos(j*2*PI/U_m),  U_r*sin(i*2*PI/U_n), (U_R + U_r*cos(i*2*PI/U_n))*sin(j*2*PI/U_m));
    }
  }
}
