// Troncature animée

function definirFigure(){
  // Définition des sommets
  pixelsParUnite(300);
  definirSommet(1, 1, 1, 1);
  definirSommet(2, -1, 1, 1);
  definirSommet(3, -1, 1, -1);
  definirSommet(4, 1, 1, -1);
  definirSommet(5, 1, -1, 1);
  definirSommet(6, -1, -1, 1);
  definirSommet(7, -1, -1, -1);
  definirSommet(8, 1, -1, -1);
  definirSommet(9, 1, 1, 1);
  definirSommet(10, 1, 1, 1);
  definirSommet(11, 1, 1, 1);
  
  // Définition des faces
  definirFace(1, 10, 9, 2, 3, 4);
  couleurFace(1, 255, 0, 0);
  definirFace(2, 5, 6, 7, 8);
  couleurFace(2, 0, 255, 0);
  definirFace(3, 11, 10, 4, 8, 5);
  couleurFace(3, 0, 0, 255);
  definirFace(4, 2, 3, 7, 6);
  couleurFace(4, 255, 255, 0);
  definirFace(5, 9, 11, 5, 6, 2);
  couleurFace(5, 255, 0, 255);
  definirFace(6, 3, 4, 8, 7);
  couleurFace(6, 0, 255, 255);
  
  definirFace(7, 9, 10, 11);
  couleurFace(7, 255, 128, 0);
  
  // creerGlissiere si nécessaire
  
}

function initialiserFigure(){
  fixeRotationX(30);
  fixeRotationY(-30);
}

var t = 0;
var signe = 1;

function redefinirCertainsSommets(){

  redefinirSommet(10, 1, 1, 1-t);
  redefinirSommet(11, 1, 1-t, 1);
  redefinirSommet(9, 1-t, 1, 1);
  
  t += signe*0.005;
  
  t = min(t, 2);
  t = max(t, 0);
  if(t==2){
    signe = -1;
  }
  if (t==0){
    signe = 1;
  }
}
